import { TNSRTCMediaStreamConstraints } from './TNSRTCMediaStreamConstraints';
import { TNSRTCMediaStream } from './TNSRTCMediaStream';
import { TNSMediaDevicesInfo } from '../core/TNSMediaDevicesInfo';
export declare class TNSRTCMediaDevices {
    static getUserMedia(constraints: TNSRTCMediaStreamConstraints): Promise<TNSRTCMediaStream>;
    static getDisplayMedia(constraints: TNSRTCMediaStreamConstraints): Promise<TNSRTCMediaStream>;
    static enumerateDevices(): Promise<TNSMediaDevicesInfo[]>;
}
